Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.context.support
Class PerformanceMonitorListener

    java.lang.Object
      org.springframework.web.context.support.PerformanceMonitorListener

All Implemented Interfaces:
  EventListener, ApplicationListener

Deprecated. as of Spring 2.5, to be removed in Spring 3.0. Use a custom ApplicationListener specific to your needs instead.

    public class PerformanceMonitorListener

extends Object
implements ApplicationListener

Listener that logs the response times of web requests. To be registered as bean in a WebApplicationContext.

Logs performance statistics using Commons Logging at "trace" level.

Since:
  January 21, 2001
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `RequestHandledEvent`

Field Summary
`protected Log` | `logger` Deprecated.
`protected ResponseTimeMonitorImpl` | `responseTimeMonitor` Deprecated.

Constructor Summary
`PerformanceMonitorListener()` Deprecated.

Method Summary
`void` | `onApplicationEvent(ApplicationEvent event)` Deprecated. Handle an application event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

  Deprecated.

### responseTimeMonitor

    protected final ResponseTimeMonitorImpl responseTimeMonitor

  Deprecated.

Constructor Detail

### PerformanceMonitorListener

    public PerformanceMonitorListener()

  Deprecated.

Method Detail

### onApplicationEvent

    public void onApplicationEvent(ApplicationEvent event)

  Deprecated.
  Description copied from interface: `ApplicationListener`
  Handle an application event.

  Specified by:
    `onApplicationEvent` in interface `ApplicationListener`
  Parameters:
    `event` - the event to respond to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.